Summary:	An abstract soundfile decoder
Summary(pl.UTF-8):	Abstrakcyjny dekoder plików dźwiękowych
Name:		SDL_sound
# keep 1.x here, for >= 2 see SDL2_sound.spec
Version:	1.0.3
Release:	11
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.icculus.org/SDL_sound/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	aa09cd52df85d29bee87a664424c94b5
Patch0:		%{name}-physfs.patch
URL:		http://www.icculus.org/SDL_sound/
BuildRequires:	SDL-devel >= 1.2.6
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flac-devel >= 1.1.3
BuildRequires:	libmikmod-devel >= 3.1.5
BuildRequires:	libmodplug-devel
BuildRequires:	libvorbis-devel >= 1:1.0-6
BuildRequires:	libtool
BuildRequires:	physfs-devel >= 3
BuildRequires:	smpeg-devel >= 0.4.4-12
BuildRequires:	speex-devel
Requires:	SDL >= 1.2.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SDL_sound is a library that handles the decoding of several popular
sound file formats, such as .WAV and .MP3. It is meant to make the
programmer's sound playback tasks simpler. The programmer gives
SDL_sound a filename, or feeds it data directly from one of many
sources, and then reads the decoded waveform data back at her leisure.
If resource constraints are a concern, SDL_sound can process sound
data in programmer-specified blocks. Alternately, SDL_sound can decode
a whole sound file and hand back a single pointer to the whole
waveform. SDL_sound can also handle sample rate, audio format, and
channel conversion on-the-fly and behind-the-scenes, if the programmer
desires.

%description -l pl.UTF-8
SDL_sound to biblioteka obsługująca dekodowanie kilku popularnych
formatów plików dźwiękowych, takich jak .WAV lub .MP3. Jej celem
jest uproszczenie pracy programisty przy odtwarzaniu dźwięku.
Programista przekazuje SDL_sound nazwę pliku lub dostarcza dane
bezpośrednio z jednego z wielu źródeł, a następnie odczytuje strumień
zdekodowanych danych. Jeśli ograniczenia zasobów są istotne, SDL_sound
może obsługiwać dane dźwiękowe w podanych blokach. Alternatywnie,
SDL_sound może dekodować cały plik dźwiękowy i przekazywać z powrotem
pojedynczy wskaźnik do całości zdekodowanych danych. SDL_sound może
także obsługiwać w locie konwersję częstotliwości próbkowania, formatu
dźwięku i liczby kanałów.

%package play
Summary:	SDL_sound/physfs based music player
Summary(pl.UTF-8):	Odtwarzacz muzyki oparty na SDL_sound/physfs
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Requires:	physfs >= 3

%description play
SDL_sound/physfs based music player.

%description play -l pl.UTF-8
Odtwarzacz muzyki oparty na SDL_sound/physfs.

%package devel
Summary:	Header files and more to develop SDL_sound applications
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia aplikacji z użyciem SDL_sound
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	SDL-devel >= 1.2.6
Requires:	flac-devel >= 1.1.3
Requires:	libmikmod-devel >= 3.1.5
Requires:	libmodplug-devel
Requires:	libvorbis-devel >= 1:1.0
Requires:	smpeg-devel >= 0.4.4
Requires:	speex-devel

%description devel
Header files and more to develop SDL_sound applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia aplikacji z użyciem SDL_sound.

%package static
Summary:	Static SDL_sound libraries
Summary(pl.UTF-8):	Statyczne biblioteki SDL_sound
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static SDL_sound libraries.

%description static -l pl.UTF-8
Statyczne biblioteki SDL_sound.

%prep
%setup -q
%patch -P0 -p1

%{__rm} acinclude.m4

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
# COPYING contains additional notes
%doc CHANGELOG COPYING CREDITS README TODO
%attr(755,root,root) %{_bindir}/playsound_simple
%attr(755,root,root) %{_libdir}/libSDL_sound-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libSDL_sound-1.0.so.1

%files play
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/playsound

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libSDL_sound.so
%{_libdir}/libSDL_sound.la
%{_includedir}/SDL/SDL_sound.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libSDL_sound.a
%changelog
* Thu Mar 13 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/SDL_sound.git;a=log;h=master

* Thu Mar 13 2025 Jakub Bogusz <qboosh@pld-linux.org> c0e1acd
- release 11 (rebuild without libmikmod.la)

* Fri Feb 14 2025 Jan Palus <atler@pld-linux.org> 86f82b4
- flac 1.5.0 rebuild

* Fri Feb 14 2025 Jan Palus <atler@pld-linux.org> 77e179c
- use %patch -P

* Sat Sep 24 2022 Jakub Bogusz <qboosh@pld-linux.org> 4e40f80
- SDL2_sound note

* Sat Sep 24 2022 Jakub Bogusz <qboosh@pld-linux.org> e8f6923
- moved playsound to new -play package (additional physfs dependency)

* Sun Sep 11 2022 Jan Palus <atler@pld-linux.org> e022b07
- flac rebuild

* Mon Dec 28 2020 Jakub Bogusz <qboosh@pld-linux.org> 75e485a
- added physfs patch (adjust for physfs 3 API)

* Thu Jun 11 2015 Jan Rękorajski <baggins@pld-linux.org> ac203c9
- release 8 (by relup.sh)

* Wed Jun 10 2015 Elan Ruusamäe <glen@delfi.ee> 956b54f
- x32 rebuild
- release 7 (by relup.sh)

* Tue Oct 07 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 815e1e3
- release 6 (by relup.sh)

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 727cdea
- release 5

* Thu Jun 03 2010 Jan Rękorajski <baggins@pld-linux.org> 0196321
- rel 4

* Thu May 07 2009 Jan Rękorajski <baggins@pld-linux.org> 85785ff
- rel 3

* Tue May 05 2009 vip <vip@pld-linux.org> 8f0e6da
- rel up

* Sat May 31 2008 Jakub Bogusz <qboosh@pld-linux.org> f06608c
- updated to 1.0.3 (fixes CVE-2008-1686)
- removed obsolete flac patch

* Sat May 31 2008 Jakub Bogusz <qboosh@pld-linux.org> b2c9715
- obsolete

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 04392f3
- rel 8
- explicit BR for physfs

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 1e7344f
- rel 7
- rebuild with new physfs

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> d8f9f10
- rel 6

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 321fcf5
- tabs in preamble

